/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
// 個別ログ進捗状況一覧CSV出力用・ユーザ別集計結果格納データクラス
//
//
//  変更履歴
//  2004.01.08 新規作成		S.Takahashi 
//
package jp.co.ntt.lms.xms.logsumup;

import java.util.Date;
import java.io.Serializable;

/**
 * 個別ログ進捗状況一覧CSV出力用・ユーザ別集計結果格納データクラス。<br>
 *
 * @author S.Takahashi
 */
public class IndividualLogGroupProgressUser implements Serializable {

    /**
     * 学習者。<br>
     */
    private String strUser;
    /**
     * 学習者外部ID。<br>
     */
    private String strUserForeign;
    /**
     * グループ外部ID。<br>
     */
    private String strGroupForeignId;
    /**
     * グループパス。<br>
     */
    private String strGroupPath;
    /**
     * 学習開始日付。<br>
     */
    private Date datStartDate;
    /**
     * 最終アクセス日付。<br>
     */
    private Date datEndDate;
    /**
     * アクセス回数。<br>
     */
    private long lngAccessCount;
    /**
     * 累積滞在時間。<br>
     */
    private long lngResidanceTime;
    /**
     * 得点（最新）。<br>
     */
    private String strNewestScore;
    /**
     * 得点（最高）。<br>
     */
    private String strHighScore;
    /**
     * 完了ユニット数。<br>
     */
    private long lngUnitComplete;
    /**
     * 合格ユニット数。<br>
     */
    private long lngUnitPass;
    /**
     * AU数。<br>
     */
    private long lngAUCount;
    /**
     * 得点AU数。<br>
     */
    private long lngAUScoreCount;
    /**
     * アサイン。<br>
     */
    private String strAssign;

    /**
     * コンストラクタ。<br>
     */
    public IndividualLogGroupProgressUser() {
        initialize();
    }

    /**
     * 内部データの初期化を実施する。<br>
     */
    protected void initialize() {

        strUser = "";
        strUserForeign = "";
        strGroupForeignId = "";
        strGroupPath = "";
        datStartDate = null;
        datEndDate = null;
        lngAccessCount = 0;
        lngUnitComplete = 0;
        lngUnitPass = 0;
        lngAUCount = 0;
        strAssign = "";

    }

    /**
    *学習者の参照を行う。
    *
    *@return strUser 学習者
    */
    public String getUser() {
        return this.strUser;
    }

    /**
    *学習者の設定を行う。
    *
    *@param newValue
    */
    public void setUser(String newValue) {
        this.strUser = newValue;
    }

    /**
    *学習者外部IDの参照を行う。
    *
    *@return strUserForeign 学習者外部ID
    */
    public String getUserForeign() {
        return this.strUserForeign;
    }

    /**
    *学習者外部IDの設定を行う。
    *
    *@param newValue
    */
    public void setUserForeign(String newValue) {
        this.strUserForeign = newValue;
    }

    /**
    *グループ外部IDの参照を行う。
    *
    *@return strGroupForeignId グループ外部ID
    */
    public String getGroupForeignId() {
        return this.strGroupForeignId;
    }

    /**
    *グループ外部IDの設定を行う。
    *
    *@param newValue
    */
    public void setGroupForeignId(String newValue) {
        this.strGroupForeignId = newValue;
    }

    /**
    *グループパスの参照を行う。
    *
    *@return strGroupPath グループパス
    */
    public String getGroupPath() {
        return this.strGroupPath;
    }

    /**
    *グループパスの設定を行う。
    *
    *@param newValue
    */
    public void setGroupPath(String newValue) {
        this.strGroupPath = newValue;
    }

    /**
    *学習開始日付の参照を行う。
    *
    *@return datStartDate 学習開始日付
    */
    public Date getStartDate() {
        return this.datStartDate;
    }

    /**
    *学習開始日付の設定を行う。
    *
    *@param newValue
    */
    public void setStartDate(Date newValue) {
        this.datStartDate = newValue;
    }

    /**
    *最終アクセス日付の参照を行う。
    *
    *@return datEndDate 学習開始日付
    */
    public Date getEndDate() {
        return this.datEndDate;
    }

    /**
    *最終アクセス日付の設定を行う。
    *
    *@param newValue
    */
    public void setEndDate(Date newValue) {
        this.datEndDate = newValue;
    }

    /**
    *アクセス回数の参照を行う。
    *
    *@return lngAccessCount アクセス回数
    */
    public long getAccessCount() {
        return this.lngAccessCount;
    }

    /**
    *アクセス回数の設定を行う。
    *
    *@param newValue
    */
    public void setAccessCount(long newValue) {
        this.lngAccessCount = newValue;
    }

    /**
    *累積滞在時間の参照を行う。
    *
    *@return fltResidanceTime 累積滞在時間
    */
    public long getResidanceTime() {
        return this.lngResidanceTime;
    }

    /**
    *累積滞在時間の設定を行う。
    *
    *@param newValue
    */
    public void setResidanceTime(long newValue) {
        this.lngResidanceTime = newValue;
    }

    /**
    *得点（最新）の参照を行う。
    *
    *@return fltNewestScore 得点（最新）
    */
    public String getNewestScore() {
        return this.strNewestScore;
    }

    /**
    *得点（最新）の設定を行う。
    *
    *@param newValue
    */
    public void setNewestScore(String newValue) {
        this.strNewestScore = newValue;
    }

    /**
    *得点（最高）の参照を行う。
    *
    *@return fltHighScore 得点（最高）
    */
    public String getHighScore() {
        return this.strHighScore;
    }

    /**
    *得点（最高）の設定を行う。
    *
    *@param newValue
    */
    public void setHighScore(String newValue) {
        this.strHighScore = newValue;
    }

    /**
    *完了ユニット数の参照を行う。
    *
    *@return lngUnitComplete 完了ユニット数
    */
    public long getUnitComplete() {
        return this.lngUnitComplete;
    }

    /**
    *完了ユニット数の設定を行う。
    *
    *@param newValue
    */
    public void setUnitComplete(long newValue) {
        this.lngUnitComplete = newValue;
    }

    /**
    *合格ユニット数の参照を行う。
    *
    *@return lngUnitPass 合格ユニット数
    */
    public long getUnitPass() {
        return this.lngUnitPass;
    }

    /**
    *合格ユニット数の設定を行う。
    *
    *@param newValue
    */
    public void setUnitPass(long newValue) {
        this.lngUnitPass = newValue;
    }

    /**
    *AU数の参照を行う。
    *
    *@return lngAUCount AU数
    */
    public long getAUCount() {
        return this.lngAUCount;
    }

    /**
    *AU数の設定を行う。
    *
    *@param newValue
    */
    public void setAUCount(long newValue) {
        this.lngAUCount = newValue;
    }

    /**
    *得点AU数の参照を行う。
    *
    *@return lngAUCount AU数
    */
    public long getAUScoreCount() {
        return this.lngAUScoreCount;
    }

    /**
    *得点AU数の設定を行う。
    *
    *@param newValue
    */
    public void setAUScoreCount(long newValue) {
        this.lngAUScoreCount = newValue;
    }

    /**
    *アサインの参照を行う。
    *
    *@return strAssign アサイン
    */
    public String getAssign() {
        return this.strAssign;
    }

    /**
    *アサインの設定を行う。
    *
    *@param newValue
    */
    public void setAssign(String newValue) {
        this.strAssign = newValue;
    }

}
